use Underlayer::{UnderlayEvent, register};

fn init() {
    simple_logger::init().expect("Could not initialize simple_logger");
}

fn main() {
    init();
    let rx: std::sync::mpsc::Receiver<UnderlayEvent> = register("Untitled - Notepad");

    
    let mut value = rx.recv();
    while let Ok(event) = value {
        log::info!("Got event: {event:?}");
        value = rx.recv();
    }

    log::error!("{value:?}");
}